### Method

# Ide Context cache_filename

#### Declaration

    gchar*
    ide_context_cache_filename (
      IdeContext* self,
      const gchar* first_part,
      ...
    )

#### Description

Creates a new filename that will be located in the projects cache directory. This makes it convenient to remove files when a project is deleted as all cache files will share a unified parent directory.

The file will be located in a directory similar to ~/.cache/gnome-builder/project_name. This may change based on the value of g_get_user_cache_dir().

Available since: | 3.32
This method is not directly available to language bindings.

#### Parameters

`first_part` | `const gchar*`
| The first part of the filename.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`...` | ``
| No description available.

#### Return value

Returns: | `gchar*`
| A new string containing the cache filename.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.